---
updatedAt: 2026-07-28T19:57:20.000Z
---

# (Beta) Delete a resource object on an event broker service by object path using a SEMP DELETE

<p>To delete a resource object on an event broker service using the unique identifier for the event broker service and the resource object path.</p><p><b>Note:</b> The Try It! feature for this API does not work. To use this API, you must:
<ol><li>Copy the URL to another program.</li>
<li>Remove the <code>/**</code> appended to the end of the URL.</li>
<li>Replace the variables in the URL as specified in the PATH PARAMS.</li>
</ol></p>
<p>For more information, see <a href=https://docs.solace.com/Cloud/enable-oauth-profiles-on-service.htm>Configuring OAuth Profiles for Management Access to Event Broker Services</a> in the Solace documentation.</p>
<p>This SEMP API supports the following SEMP objects only:
<ul><li>[oauthProfiles]</li></ul>
</p><p>Your token must have one of the permissions listed in the Token Permissions.</p><br><br><a href="https://api.solace.dev/cloud/reference/authentication">Token Permissions</a>: [ <code>mission_control:access</code> <b>or</b> <code>services:post</code> ]

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "MISSION CONTROL",
    "description": "Documentation for Mission Control API",
    "version": "2.2.1"
  },
  "servers": [
    {
      "url": "https://api.solace.cloud",
      "description": "Solace Cloud US EAST Region"
    },
    {
      "url": "https://api.solacecloud.com.au",
      "description": "Solace Cloud AU Region"
    },
    {
      "url": "https://api.solacecloud.eu",
      "description": "Solace Cloud EU Region"
    },
    {
      "url": "https://api.solacecloud.sg",
      "description": "Solace Cloud SG Region"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/api/v2/missionControl/eventBrokerServices/{serviceId}/broker/SEMP/v2/config/{resourcePath}/**": {
      "delete": {
        "tags": [
          "Broker Configuration Using SEMP Proxy"
        ],
        "summary": "(Beta) Delete a resource object on an event broker service by object path using a SEMP DELETE",
        "description": "<p>To delete a resource object on an event broker service using the unique identifier for the event broker service and the resource object path.</p><p><b>Note:</b> The Try It! feature for this API does not work. To use this API, you must:\n<ol><li>Copy the URL to another program.</li>\n<li>Remove the <code>/**</code> appended to the end of the URL.</li>\n<li>Replace the variables in the URL as specified in the PATH PARAMS.</li>\n</ol></p>\n<p>For more information, see <a href=https://docs.solace.com/Cloud/enable-oauth-profiles-on-service.htm>Configuring OAuth Profiles for Management Access to Event Broker Services</a> in the Solace documentation.</p>\n<p>This SEMP API supports the following SEMP objects only:\n<ul><li>[oauthProfiles]</li></ul>\n</p><p>Your token must have one of the permissions listed in the Token Permissions.</p><br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>mission_control:access</code> <b>or</b> <code>services:post</code> ]",
        "operationId": "deleteResource",
        "parameters": [
          {
            "name": "serviceId",
            "in": "path",
            "description": "The unique identifier of the event broker service.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "resourcePath",
            "in": "path",
            "description": "The resource path for the resource object you want to delete using the SEMP DELETE request, for example oauthProfiles/profile1.\nSee <a href=\"objects\">Objects</a> for resource path formatting.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A JSON object with metadata returned from the event broker service after deleting the resource object.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "400": {
            "description": "Bad request.",
            "content": {}
          },
          "401": {
            "description": "Unauthorized.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "message": "An authentication error occurred.",
                  "errorId": "618e2fb0-a198-4d9d-9219-13e51ef0ecec"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "example": {
                  "message": "You do not have permissions to perform this operation.",
                  "errorId": "618e2fb0-a198-4d9d-9219-13e51ef0ecec"
                }
              }
            }
          },
          "404": {
            "description": "Not found.",
            "content": {}
          },
          "409": {
            "description": "Conflict.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway - Marketplace integration error.",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "503": {
            "description": "Service unavailable.",
            "content": {}
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "description": "A user-friendly message that describes the error.",
            "example": "An error occurred."
          },
          "errorId": {
            "type": "string",
            "description": "The UUID (Universally Unique Identifier) that is logged with an appropriate stack trace for a WARN or ERROR log that allows support to better determine what cause the error.",
            "example": "123e4567-e89b-12d3-a456-426655440000"
          },
          "meta": {
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "description": "The metadata about the error. This provides additional information about the error that occurred.",
              "example": "'object': { 'field': 'description' }"
            },
            "description": "The metadata about the error. This provides additional information about the error that occurred.",
            "example": "'object': { 'field': 'description' }"
          },
          "validationDetails": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "description": "When applicable, these are the details of issues with the fields provided for the REST call.",
              "example": "'name': ['Not unique']",
              "items": {
                "type": "string",
                "description": "When applicable, these are the details of issues with the fields provided for the REST call.",
                "example": "'name': ['Not unique']"
              }
            },
            "description": "When applicable, these are the details of issues with the fields provided for the REST call.",
            "example": "'name': ['Not unique']"
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
```